Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.messages
Class ActionOnVoidMessage

    java.lang.Object
      gecco.communication.messages.Message
          gecco.communication.messages.ActionMessage
              gecco.communication.messages.ActionOnVoidMessage

public class ActionOnVoidMessage
extends ActionMessage

this message is added to the send queue in the client part of the communication, when the client calls doAction, and the provided Action type is Action.VOID

Author:
  Niklas Hallenfur, Karl Hasselström

Constructor Summary
`ActionOnVoidMessage(long id, int unit, String type)` Constructor for the ActionOnVoidMessage object

Method Summary
`static Message` | `read(DataInput in)` This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.
`void` | `write(DataOutput out)` This method writes the message to the given `DataOutput`.

Methods inherited from class gecco.communication.messages.ActionMessage
`getActionHandle, getHandle, getId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionOnVoidMessage

    public ActionOnVoidMessage(long id,
                               int unit,
                               String type)

  Constructor for the ActionOnVoidMessage object

Parameters:
  `id` - Description of Parameter
  `unit` - Description of Parameter
  `type` - Description of Parameter

Method Detail

### write

    public void write(DataOutput out)
               throws IOException

  This method writes the message to the given `DataOutput`.

  Specified by:
    `write` in class `Message`
  Parameters:
    `out` - The output stream.
  Throws:
    `IOException` - In case something goes wrong.

### read

    public static Message read(DataInput in)
                        throws IOException

  This factory method reads a message of this type without an initial ID from the input stream, and returns a `Message` object.

  Parameters:
    `in` - The input stream.
  Returns:
    An instance of `Message`.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD